/* $Log:	printfont.c,v $
 * Revision 0.8  92/11/23  19:46:56  19:46:56  bt (Bo Thide')
 * Fixed resolution bug. Portable downloading. Added/changed options. PJXL color support
 * 
 * Revision 0.7  92/11/13  02:41:41  02:41:41  bt (Bo Thide')
 * More bug fixes and improvements. Support for PaintJet XL
 * 
 * Revision 0.6  92/11/10  21:48:38  21:48:38  bt (Bo Thide')
 * Bug fixes. Added -R option. Better font handling.
 * 
 * Revision 0.5  92/11/09  16:25:45  16:25:45  bt (Bo Thide')
 * Rewrite of dospecial.c. Extended \special support
 * 
 * Revision 0.4  92/11/08  02:46:01  02:46:01  bt (Bo Thide')
 * Changed to portable bit manipulations. Replaced strrstr for non-POSIX compliant C. Fixed numerous bugs. Added support for more \special's.
 * 
 * Revision 0.3  92/08/24  12:45:51  12:45:51  bt (Bo Thide')
 * Fixed 8 bit (dc font) support.
 * 
 * Revision 0.2  92/08/23  17:29:00  17:29:00  bt (Bo Thide')
 * Source cleaned up.  Changed certain function calls.  Removed globals.
 * 
 * Revision 0.1  92/08/22  23:58:48  23:58:48  bt (Bo Thide')
 * First Release.
 *  */

#include <stdio.h>
#include "globals.h"

static char rcsid[] = "$Header: printfont.c,v 0.8 92/11/23 19:46:56 bt Exp $";

/* Simply outputs the name of a given font */
printfont()
{ 
	char *p;
	if(!font->name)
		fprintf(stderr,"UNDEFINED!\n");
	else
	{ 
		p = names + font->name;
		if(*p)
			fprintf(stderr,"%s:",p);
		while(*p++);
		fprintf(stderr,"%s\n",p);
	}
}
